#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

extern int curve[];

gboolean
on_drawingarea1_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  int i, phase = 0;

  gdk_window_clear_area (widget->window,
                         event->area.x, event->area.y,
                         event->area.width, event->area.height);
  gdk_gc_set_clip_rectangle (widget->style->fg_gc[widget->state],
                             &event->area);

  for (i=1; i<widget->allocation.width; i++) {
    if (++phase > 126) {
      phase = 1;
    }

    gdk_draw_line(widget->window, widget->style->fg_gc[widget->state], i-1, curve[phase-1], i, curve[phase]);
  }

  gdk_gc_set_clip_rectangle (widget->style->fg_gc[widget->state],
                             NULL);

  return FALSE;
}

